package com.ibiz.util.valuerule.condition;

import lombok.Data;

import com.ibiz.util.valuerule.VRSingleCondition;


/**
 * 查询计数条件。
 * 暂未开放
 *
 * @param <T>
 */
@Data
public class VRQueryCountCondition<T> extends VRSingleCondition<T> {
    public VRQueryCountCondition(String name, Boolean isNotMode, String ruleInfo, T value) {
        super(name, isNotMode, ruleInfo, value);
    }

    public VRQueryCountCondition<T> init(){
        return this;
    }
    @Override
    public boolean validate() {
        return true;
    }
}
